@ECHO OFF

cls

ECHO Race Debate, Multiplayer Pack Installation
ECHO. 
ECHO This routine will install the cars, the RACE_DEBATE_Install
ECHO file should be in your \revolt directory when you run it.
ECHO.
ECHO Do you want to continue? (you may close this window to abort)
ECHO.
pause
CLS
ECHO Making folders
md cars\rd_bb
md cars\rd_uv
md cars\rd_mr
md cars\rd_hy
md cars\rd_mg
md cars\rd_bm

ECHO Copying Parameter Files
copy /y routines\antimorph\rdswap\racedebaterdred.txt cars\rd_mr\parameters.txt
copy /y routines\antimorph\rdswap\racedebaterdyellow.txt cars\rd_hy\parameters.txt
copy /y routines\antimorph\rdswap\racedebaterduv.txt cars\rd_uv\parameters.txt
copy /y routines\antimorph\rdswap\racedebaterdblue.txt cars\rd_bb\parameters.txt
copy /y routines\antimorph\rdswap\racedebaterdgreen.txt cars\rd_mg\parameters.txt
copy /y routines\antimorph\rdswap\racedebaterdbluem.txt cars\rd_bm\parameters.txt

ECHO Copying Wheel PRMS
copy /y routines\antimorph\rdswap\racedebatewheelbl.prm cars\rd_mr\wheelbl.prm
copy /y routines\antimorph\rdswap\racedebatewheelbr.prm cars\rd_mr\wheelbr.prm
copy /y routines\antimorph\rdswap\racedebatewheelfl.prm cars\rd_mr\wheelfl.prm
copy /y routines\antimorph\rdswap\racedebatewheelfr.prm cars\rd_mr\wheelfr.prm

copy /y routines\antimorph\rdswap\racedebatewheelbl.prm cars\rd_bb\wheelbl.prm
copy /y routines\antimorph\rdswap\racedebatewheelbr.prm cars\rd_bb\wheelbr.prm
copy /y routines\antimorph\rdswap\racedebatewheelfl.prm cars\rd_bb\wheelfl.prm
copy /y routines\antimorph\rdswap\racedebatewheelfr.prm cars\rd_bb\wheelfr.prm

copy /y routines\antimorph\rdswap\racedebatewheelbl.prm cars\rd_uv\wheelbl.prm
copy /y routines\antimorph\rdswap\racedebatewheelbr.prm cars\rd_uv\wheelbr.prm
copy /y routines\antimorph\rdswap\racedebatewheelfl.prm cars\rd_uv\wheelfl.prm
copy /y routines\antimorph\rdswap\racedebatewheelfr.prm cars\rd_uv\wheelfr.prm

copy /y routines\antimorph\rdswap\racedebatewheelbl.prm cars\rd_mg\wheelbl.prm
copy /y routines\antimorph\rdswap\racedebatewheelbr.prm cars\rd_mg\wheelbr.prm
copy /y routines\antimorph\rdswap\racedebatewheelfl.prm cars\rd_mg\wheelfl.prm
copy /y routines\antimorph\rdswap\racedebatewheelfr.prm cars\rd_mg\wheelfr.prm

copy /y routines\antimorph\rdswap\racedebatewheelbl.prm cars\rd_hy\wheelbl.prm
copy /y routines\antimorph\rdswap\racedebatewheelbr.prm cars\rd_hy\wheelbr.prm
copy /y routines\antimorph\rdswap\racedebatewheelfl.prm cars\rd_hy\wheelfl.prm
copy /y routines\antimorph\rdswap\racedebatewheelfr.prm cars\rd_hy\wheelfr.prm

copy /y routines\antimorph\rdswap\racedebatewheelbl.prm cars\rd_bm\wheelbl.prm
copy /y routines\antimorph\rdswap\racedebatewheelbr.prm cars\rd_bm\wheelbr.prm
copy /y routines\antimorph\rdswap\racedebatewheelfl.prm cars\rd_bm\wheelfl.prm
copy /y routines\antimorph\rdswap\racedebatewheelfr.prm cars\rd_bm\wheelfr.prm


ECHO Copying Spring, Pin and Axle PRM'S
copy /y routines\antimorph\rdswap\racedebatepin.prm cars\rd_mr\pin.prm
copy /y routines\antimorph\rdswap\racedebatepin.prm cars\rd_bb\pin.prm
copy /y routines\antimorph\rdswap\racedebatepin.prm cars\rd_uv\pin.prm
copy /y routines\antimorph\rdswap\racedebatepin.prm cars\rd_mg\pin.prm
copy /y routines\antimorph\rdswap\racedebatepin.prm cars\rd_hy\pin.prm
copy /y routines\antimorph\rdswap\racedebatepin.prm cars\rd_bm\pin.prm

copy /y routines\antimorph\rdswap\racedebateAxle.prm cars\rd_mr\Axle.prm
copy /y routines\antimorph\rdswap\racedebateAxle.prm cars\rd_bb\Axle.prm
copy /y routines\antimorph\rdswap\racedebateAxle.prm cars\rd_uv\Axle.prm
copy /y routines\antimorph\rdswap\racedebateAxle.prm cars\rd_mg\Axle.prm
copy /y routines\antimorph\rdswap\racedebateAxle.prm cars\rd_hy\Axle.prm
copy /y routines\antimorph\rdswap\racedebateAxle.prm cars\rd_bm\Axle.prm

copy /y routines\antimorph\rdswap\racedebatespring.prm cars\rd_mr\spring.prm
copy /y routines\antimorph\rdswap\racedebatespring.prm cars\rd_bb\spring.prm
copy /y routines\antimorph\rdswap\racedebatespring.prm cars\rd_uv\spring.prm
copy /y routines\antimorph\rdswap\racedebatespring.prm cars\rd_mg\spring.prm
copy /y routines\antimorph\rdswap\racedebatespring.prm cars\rd_hy\spring.prm
copy /y routines\antimorph\rdswap\racedebatespring.prm cars\rd_bm\spring.prm

ECHO Copying Hulls
copy /y routines\antimorph\rdswap\racedebateHull.hul cars\rd_mr\hull.hul
copy /y routines\antimorph\rdswap\racedebateHull.hul cars\rd_bb\hull.hul
copy /y routines\antimorph\rdswap\racedebateHull.hul cars\rd_uv\hull.hul
copy /y routines\antimorph\rdswap\racedebateHull.hul cars\rd_mg\hull.hul
copy /y routines\antimorph\rdswap\racedebateHull.hul cars\rd_hy\hull.hul
copy /y routines\antimorph\rdswap\racedebateHull.hul cars\rd_bm\hull.hul

ECHO Copying Body PRM's
copy /y routines\antimorph\rdswap\racedebatebody2.prm cars\rd_mr\body.prm
copy /y routines\antimorph\rdswap\racedebatebody2.prm cars\rd_bb\body.prm
copy /y routines\antimorph\rdswap\racedebatebody1.prm cars\rd_uv\body.prm
copy /y routines\antimorph\rdswap\racedebatebody1.prm cars\rd_mg\body.prm
copy /y routines\antimorph\rdswap\racedebatebody2.prm cars\rd_hy\body.prm
copy /y routines\antimorph\rdswap\racedebatebody1.prm cars\rd_bm\body.prm

ECHO Copying Bitmaps
copy /y routines\antimorph\rdswap\racedebaterdred.bmp cars\rd_mr\car.bmp
copy /y routines\antimorph\rdswap\racedebaterdblue.bmp cars\rd_bb\car.bmp
copy /y routines\antimorph\rdswap\racedebaterduv.bmp cars\rd_uv\car.bmp
copy /y routines\antimorph\rdswap\racedebaterdgreen.bmp cars\rd_mg\car.bmp
copy /y routines\antimorph\rdswap\racedebaterdyellow.bmp cars\rd_hy\car.bmp
copy /y routines\antimorph\rdswap\racedebaterdbluem.bmp cars\rd_bm\car.bmp

ECHO ........................................
ECHO Thats it!
ECHO ........................................
ECHO Happy Racing
ECHO.
ECHO If you would like to uninstall Race Debate
ECHO Use the RaceDebate_uninstall.bat file provided.
ECHO This will swap the car files out of revolt\cars
ECHO But still allow files to be installed by this file
ECHO if you run it again.
ECHO,
Echo Close this window to finish.
GOTO End
:Error

ECHO Make sure you unzipped the RaceDebate.zip using folder names
ECHO and that this file is in the root revolt directory \revolt\
:End