@ECHO OFF

cls

ECHO This routine will re-install Antimorphs Dedications 
ECHO. 
ECHO RE-Install.bat should be in the revolt directory when you run it.
ECHO.
ECHO Do you want to continue? (you may close this window to abort)
ECHO.
pause
CLS
ECHO Good for you

ECHO Making folders
md cars\DedigP
md cars\DediICE
md cars\DediCyb
md cars\DediZag
md cars\DediTrips
md cars\Dedications

ECHO Copying Parameter Files
copy /y routines\antimorph\dediswap\Cybinary.txt cars\DediCyb\parameters.txt
copy /y routines\antimorph\dediswap\Zag.txt cars\DediZag\parameters.txt
copy /y routines\antimorph\dediswap\DediTrips.txt cars\DediTrips\parameters.txt
copy /y routines\antimorph\dediswap\ICE.txt cars\DediICE\parameters.txt
copy /y routines\antimorph\dediswap\gPstr.txt cars\DedigP\parameters.txt
copy /y routines\antimorph\dediswap\Amorph.txt cars\Dedications\parameters.txt

ECHO Copying Wheel PRMS
copy /y routines\antimorph\dediswap\wheelbl.prm cars\DediCyb\wheelbl.prm
copy /y routines\antimorph\dediswap\wheelbr.prm cars\DediCyb\wheelbr.prm
copy /y routines\antimorph\dediswap\wheelfl.prm cars\DediCyb\wheelfl.prm
copy /y routines\antimorph\dediswap\wheelfr.prm cars\DediCyb\wheelfr.prm

copy /y routines\antimorph\dediswap\wheelbl.prm cars\DedigP\wheelbl.prm
copy /y routines\antimorph\dediswap\wheelbr.prm cars\DedigP\wheelbr.prm
copy /y routines\antimorph\dediswap\wheelfl.prm cars\DedigP\wheelfl.prm
copy /y routines\antimorph\dediswap\wheelfr.prm cars\DedigP\wheelfr.prm

copy /y routines\antimorph\dediswap\wheelbl.prm cars\DediICE\wheelbl.prm
copy /y routines\antimorph\dediswap\wheelbr.prm cars\DediICE\wheelbr.prm
copy /y routines\antimorph\dediswap\wheelfl.prm cars\DediICE\wheelfl.prm
copy /y routines\antimorph\dediswap\wheelfr.prm cars\DediICE\wheelfr.prm

copy /y routines\antimorph\dediswap\wheelbl.prm cars\DediTrips\wheelbl.prm
copy /y routines\antimorph\dediswap\wheelbr.prm cars\DediTrips\wheelbr.prm
copy /y routines\antimorph\dediswap\wheelfl.prm cars\DediTrips\wheelfl.prm
copy /y routines\antimorph\dediswap\wheelfr.prm cars\DediTrips\wheelfr.prm

copy /y routines\antimorph\dediswap\wheelbl.prm cars\DediZag\wheelbl.prm
copy /y routines\antimorph\dediswap\wheelbr.prm cars\DediZag\wheelbr.prm
copy /y routines\antimorph\dediswap\wheelfl.prm cars\DediZag\wheelfl.prm
copy /y routines\antimorph\dediswap\wheelfr.prm cars\DediZag\wheelfr.prm

copy /y routines\antimorph\dediswap\wheelbl.prm cars\Dedications\wheelbl.prm
copy /y routines\antimorph\dediswap\wheelbr.prm cars\Dedications\wheelbr.prm
copy /y routines\antimorph\dediswap\wheelfl.prm cars\Dedications\wheelfl.prm
copy /y routines\antimorph\dediswap\wheelfr.prm cars\Dedications\wheelfr.prm

ECHO Copying Spring, Pin and Axle PRM'S
copy /y routines\antimorph\dediswap\pin.prm cars\DediCyb\pin.prm
copy /y routines\antimorph\dediswap\pin.prm cars\DedigP\pin.prm
copy /y routines\antimorph\dediswap\pin.prm cars\DediICE\pin.prm
copy /y routines\antimorph\dediswap\pin.prm cars\DediTrips\pin.prm
copy /y routines\antimorph\dediswap\pin.prm cars\DediZag\pin.prm
copy /y routines\antimorph\dediswap\pin.prm cars\Dedications\pin.prm

copy /y routines\antimorph\dediswap\Axle.prm cars\DediCyb\Axle.prm
copy /y routines\antimorph\dediswap\Axle.prm cars\DedigP\Axle.prm
copy /y routines\antimorph\dediswap\Axle.prm cars\DediICE\Axle.prm
copy /y routines\antimorph\dediswap\Axle.prm cars\DediTrips\Axle.prm
copy /y routines\antimorph\dediswap\Axle.prm cars\DediZag\Axle.prm
copy /y routines\antimorph\dediswap\Axle.prm cars\Dedications\Axle.prm

copy /y routines\antimorph\dediswap\spring.prm cars\DediCyb\spring.prm
copy /y routines\antimorph\dediswap\spring.prm cars\DedigP\spring.prm
copy /y routines\antimorph\dediswap\spring.prm cars\DediICE\spring.prm
copy /y routines\antimorph\dediswap\spring.prm cars\DediTrips\spring.prm
copy /y routines\antimorph\dediswap\spring.prm cars\DediZag\spring.prm
copy /y routines\antimorph\dediswap\spring.prm cars\Dedications\spring.prm

ECHO Copying Hulls
copy /y routines\antimorph\dediswap\Hull.hul cars\DediCyb\hull.hul
copy /y routines\antimorph\dediswap\Hull.hul cars\DedigP\hull.hul
copy /y routines\antimorph\dediswap\Hull.hul cars\DediICE\hull.hul
copy /y routines\antimorph\dediswap\Hull.hul cars\DediTrips\hull.hul
copy /y routines\antimorph\dediswap\Hull.hul cars\DediZag\hull.hul
copy /y routines\antimorph\dediswap\Hull.hul cars\Dedications\hull.hul

ECHO Copying Body PRM's
copy /y routines\antimorph\dediswap\body.prm cars\DediCyb\body.prm
copy /y routines\antimorph\dediswap\body.prm cars\DedigP\body.prm
copy /y routines\antimorph\dediswap\body.prm cars\DediICE\body.prm
copy /y routines\antimorph\dediswap\body.prm cars\DediTrips\body.prm
copy /y routines\antimorph\dediswap\body.prm cars\DediZag\body.prm
copy /y routines\antimorph\dediswap\body.prm cars\Dedications\body.prm

ECHO Copying Bitmaps
copy /y routines\antimorph\dediswap\Cybin.bmp cars\DediCyb\Cybin.bmp
copy /y routines\antimorph\dediswap\Tiamait.bmp cars\DedigP\Tiamait.bmp
copy /y routines\antimorph\dediswap\ICE.bmp cars\DediICE\ICE.bmp
copy /y routines\antimorph\dediswap\Trips.bmp cars\DediTrips\Trips.bmp
copy /y routines\antimorph\dediswap\Antimorph.bmp cars\Dedications\Antimorph.bmp
copy /y routines\antimorph\dediswap\Zag.bmp cars\DediZag\Zag.bmp

ECHO ........................................
ECHO Thats it!
ECHO ........................................
ECHO Happy Racing
ECHO.
ECHO If you would like to uninstall these Dedications
ECHO Use the Uninstall_Dedications.bat file provided.
GOTO End
:Error

ECHO Make sure you unzipped the RaceDebate.zip using folder names
ECHO and that this file is in the root revolt directory \revolt\
:End