@ECHO OFF

cls
ECHO This routine permits easy installation of Race Debate if you do not
ECHO know how to extract zip files using folder names.
ECHO,
ECHO If you find the race debate files in your revolt directory
ECHO then this routine will put them where they should be.
ECHO,
ECHO When this routine terminates you must run Race_Debate_Install.bat
ECHO to complete the installation.
ECHO,
ECHO Do you wish to continue? (you may close this window to abort)
ECHO,
pause
CLS
ECHO Good for you

ECHO Making Correct folders
md routines
md routines\antimorph
md routines\antimorph\rdswap
md troubleshooting
md troubleshooting\antimorph

ECHO Moving Parameter Files
move /y racedebaterdred.txt routines\antimorph\rdswap\racedebaterdred.txt
move /y racedebaterdyellow.txt routines\antimorph\rdswap\racedebaterdyellow.txt
move /y racedebaterduv.txt routines\antimorph\rdswap\racedebaterduv.txt
move /y racedebaterdblue.txt routines\antimorph\rdswap\racedebaterdblue.txt
move /y racedebaterdgreen.txt routines\antimorph\rdswap\racedebaterdgreen.txt
move /y racedebaterdbluem.txt routines\antimorph\rdswap\racedebaterdbluem.txt

ECHO Moving Wheel PRMS
move /y racedebatewheelbl.prm routines\antimorph\rdswap\racedebatewheelbl.prm
move /y racedebatewheelbr.prm routines\antimorph\rdswap\racedebatewheelbr.prm
move /y racedebatewheelfl.prm routines\antimorph\rdswap\racedebatewheelfl.prm
move /y racedebatewheelfr.prm routines\antimorph\rdswap\racedebatewheelfr.prm

ECHO Moving Spring, Pin and Axle PRM'S
move /y racedebatepin.prm routines\antimorph\rdswap\racedebatepin.prm
move /y racedebateAxle.prm routines\antimorph\rdswap\racedebateAxle.prm
move /y racedebatespring.prm routines\antimorph\rdswap\racedebatespring.prm
ECHO Moving Hulls
move /y racedebateHull.hul routines\antimorph\rdswap\racedebateHull.hul
ECHO Moving Body PRM's
Move /y racedebatebody1.prm routines\antimorph\rdswap\racedebatebody1.prm 
Move /y racedebatebody2.prm routines\antimorph\rdswap\racedebatebody2.prm

ECHO Moving Bitmaps
move /y racedebaterdred.bmp routines\antimorph\rdswap\racedebaterdred.bmp
move /y racedebaterdblue.bmp routines\antimorph\rdswap\racedebaterdblue.bmp
move /y racedebaterduv.bmp routines\antimorph\rdswap\racedebaterduv.bmp
move /y racedebaterdgreen.bmp routines\antimorph\rdswap\racedebaterdgreen.bmp 
move /y racedebaterdyellow.bmp routines\antimorph\rdswap\racedebaterdyellow.bmp
move /y racedebaterdbluem.bmp routines\antimorph\rdswap\racedebaterdbluem.bmp

ECHO Moving Bat and Text Files
move /y Re-Install_Dedications_Car_Pack.bat troubleshooting\antimorph\Re-Install_Dedications_Car_Pack.bat
move /y Uninstall_Dedications_Car_Pack.bat troubleshooting\antimorph\Uninstall_Dedications_Car_Pack.bat
copy /y RACE_DEBATE_Install.bat troubleshooting\antimorph\RACE_DEBATE_Install.bat
copy /y RACE_DEBATE_Uninstall.bat troubleshooting\antimorph\RACE_DEBATE_Uninstall.bat
move /y RaceDebate_Readme.rtf troubleshooting\antimorph\RaceDebate_Readme.rtf
cls
ECHO ........................................
ECHO Thats it!
ECHO ........................................
ECHO Problem should be fixed. Now Run RACE_DEBATE_Install.bat
ECHO,
ECHO Close this window to finish
